import { type Component } from "@builder.io/qwik";
import Header from './components/header/header';
import Image from './components/image/image';
import List from './components/list/list';
import Paragraph from "./components/paragraph/paragraph";
export type ConfigProp = Record<string, RenderConfig>;
export type RenderConfig = Record<string, any>;
export type RenderFn<T = undefined, K = Record<string, any> | undefined> = Component<{
    data: T;
    class?: string;
} & K>;
export type RenderFnWithoutData<T = undefined, K = Record<string, any> | undefined> = Component<{
    data: T;
    class?: string;
} & K>;
export type RenderersProp = Record<string, RenderFn<any>>;
export interface Block {
    id?: string;
    type: string;
    data: Record<string, any>;
}
export interface DataProp {
    time: number;
    version: string;
    blocks: Block[];
}
declare const Blocks: Component<import("@builder.io/qwik").PropFunctionProps<{
    data: DataProp;
    config?: ConfigProp | undefined;
    renderers?: RenderersProp | undefined;
}>>;
export { Blocks, Header as HeaderBlock, Image as ImageBlock, List as ListBlock, Paragraph as ParagraphBlock, };
